# Administration Reference

## kdb

Purpose

Displays log or privileged actions performed by the Authentication Server

Synopsis

    kdb [-dbmfile <dbmfile to use (default /usr/afs/logs/AuthLog)>]
        [-key <extract entries that match specified key>]  [-help]

Description

The kdb command displays the contents of the AuthLog.dir and AuthLog.pag files associated with the AuthLog file that resides on the local disk, by default in the /usr/afs/logs directory. The files must exist in that directory, which normally implies that the Authentication Server is running on the machine. The files contain information on privileged actions performed by the Authentication Server.

Cautions

It is possible that on some operating systems that AFS otherwise supports, the Authentication Server cannot create the /usr/afs/logs/AuthLog.dir and /usr/afs/logs/AuthLog.pag files, making this command inoperative. See the AFS Release Notes for details.

Options

-dbmfile
  Specifies the pathname of the file to display. Provide either a complete pathname, a pathname relative to the /usr/afs/logs directory, or a filename only, in which case the file must reside in the /usr/afs/logs directory. Omit this argument to display information from the AuthLog.dir and AuthLog.pag files in the /usr/afs/logs directory.

-key
  Specifies each entry to be displayed from the indicated file.

-help
  Prints the online help for this command. All other valid options are ignored.

Output

The first line of output indicates the location of the files from which the subsequent information is derived:

       Printing all entries found in file_location

Each entry then includes the following two fields, separated by a colon:

`user/server`
  Identifies the user requesting the corresponding service and the server that performed that service. In cases where no user is directly involved, only the server appears; in cases where no server is directly involved, only the user appears.

`service`
  Identifies one of the following actions or services performed by the user or server process.

  - `auth`: Obtained a ticket-granting ticket

  - `chp`: Changed a user password

  - `cruser`: Created a user entry in the Authentication Database

  - `delu`: Deleted a user entry from the Authentication Database

  - `gtck`: Obtained a ticket other than a ticket-granting ticket

  - `setf`: Set fields in an Authentication Database entry

  - `unlok`: Unlocked an Authentication Database entry

The final line of output sums the number of entries.

Examples

The following example shows the output of the kdb command in the ABC Corporation cell (abc.com):

       % kdb
       Printing all entries found in /usr/afs/logs/AuthLog
       admin,krbtgt.ABC.COM:auth
       admin,afs:gtck
       admin:cruser
       admin:delu
       4 entries were found

Privilege Required

The issuer must be logged in as the local superuser root.

Related Information

AuthLog.dir, AuthLog.pag

bos getlog

kaserver

© IBM Corporation 2000. All Rights Reserved